%define name hypermail
%define version 1.02
%define release 2mdk

Summary: Convert mail archives to WWW pages.
Name: %{name}
Packager: Arkadiusz Mikiewicz <misiek@misiek.eu.org>
Version: %{version}
Release: %{release}
Copyright: distributable
Source: %{name}-%{version}.tar.bz2
Group: Text tools
Patch0: hypermail1.02-gettext.patch.bz2
BuildRoot: /var/tmp/%{name}-buildroot

%description
This program converts mail archives (from Mailbox) to WWW pages.
Messages are sorted by author, subject, date and theader.
This version is supporting gettext (Polish and English locale included) 
by Jacek Rafa Radzikowski <jacek@gorgan.itl.waw.pl>.

%prep
rm -rf $RPM_BUILD_ROOT

%setup
echo Adding gettext patch
%patch -p1 -b hypermail1.02-gettext.patch

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
make
make mail

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT/usr/man/man1 $RPM_BUILD_ROOT/usr/share/locale/pl/LC_MESSAGES $RPM_BUILD_ROOT/home/httpd/cgi-bin
install -cs -m 0755 hypermail $RPM_BUILD_ROOT/usr/bin
install -c -m 0644 hypermail.1 $RPM_BUILD_ROOT/usr/man/man1
install -c -m 0755 mail $RPM_BUILD_ROOT/home/httpd/cgi-bin
install -c -m 0644 hypermail.mo $RPM_BUILD_ROOT/usr/share/locale/pl/LC_MESSAGES

%clean
rm -rf $RPM_BUILD_ROOT

%post

%files
%defattr (-,root,root)
%doc CHANGES LICENSE README hypermail.html hypermail.gif
/usr/bin/hypermail
/usr/man/man1/*
/usr/share/locale/pl/LC_MESSAGES/hypermail.mo
/home/httpd/cgi-bin/mail

%changelog
* Fri Apr 28 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.02-2mdk
- fix group
- bzip2 patch

* Thu Feb 24 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build

* Fri Jul 10 1998 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
- small changes in hypermail1.02-gettext.patch
- recompiled under RedHat 5.1

* Fri Jun 12 1998 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
- initial package release
- added gettext patch
